<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: RotationMatrix.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_rotation_matrix_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">RotationMatrix.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_rotation_matrix_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// %flair:license{</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">// This file is part of the Flair framework distributed under the</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// CECILL-C License, Version 1.0.</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">// %flair:license}</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"></span><span class="preprocessor">#ifndef ROTATIONMATRIX_H</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#define ROTATIONMATRIX_H</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">#include &lt;stddef.h&gt;</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="keyword">namespace </span>core {</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="keyword">class </span>Euler;</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="keyword">class </span>Quaternion;</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;</div>
<div class="line"><a name="l00026"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_rotation_matrix.html">   26</a></span>&#160;<span class="keyword">class </span><a class="code" href="classflair_1_1core_1_1_rotation_matrix.html">RotationMatrix</a> {</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;  <a class="code" href="classflair_1_1core_1_1_rotation_matrix.html#a1654c70915d03eea7c712a04296b9583">RotationMatrix</a>();</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;  <a class="code" href="classflair_1_1core_1_1_rotation_matrix.html#a4c46e6c1cdd66818eaa131822e5bcbb3">~RotationMatrix</a>();</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_rotation_matrix.html#a2c2286d9604028ce59705d2514fc3caf">ToEuler</a>(<a class="code" href="classflair_1_1core_1_1_euler.html">Euler</a> &amp;euler) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;  <a class="code" href="classflair_1_1core_1_1_euler.html">Euler</a> <a class="code" href="classflair_1_1core_1_1_rotation_matrix.html#a2c2286d9604028ce59705d2514fc3caf">ToEuler</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1_rotation_matrix.html#afaf6104cf10df2980dedcdffe30112ec">ToQuaternion</a>(<a class="code" href="classflair_1_1core_1_1_quaternion.html">Quaternion</a> &amp;quaternion) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;  <a class="code" href="classflair_1_1core_1_1_quaternion.html">Quaternion</a> <a class="code" href="classflair_1_1core_1_1_rotation_matrix.html#afaf6104cf10df2980dedcdffe30112ec">ToQuaternion</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div>
<div class="line"><a name="l00074"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1_rotation_matrix.html#a2931667bed155085f243743811f60536">   74</a></span>&#160;  <span class="keywordtype">float</span> <a class="code" href="classflair_1_1core_1_1_rotation_matrix.html#a2931667bed155085f243743811f60536">m</a>[3][3];</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;  <span class="keywordtype">float</span> &amp;operator()(<span class="keywordtype">size_t</span> row, <span class="keywordtype">size_t</span> col);</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">float</span> &amp;operator()(<span class="keywordtype">size_t</span> row, <span class="keywordtype">size_t</span> col) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;};</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;} <span class="comment">// end namespace core</span></div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;} <span class="comment">// end namespace flair</span></div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;<span class="preprocessor">#endif // ROTATIONMATRIX_H</span></div>
<div class="ttc" id="classflair_1_1core_1_1_rotation_matrix_html_a2c2286d9604028ce59705d2514fc3caf"><div class="ttname"><a href="classflair_1_1core_1_1_rotation_matrix.html#a2c2286d9604028ce59705d2514fc3caf">flair::core::RotationMatrix::ToEuler</a></div><div class="ttdeci">Euler ToEuler(void) const </div><div class="ttdoc">Convert to euler angles. </div></div>
<div class="ttc" id="namespaceflair_html"><div class="ttname"><a href="namespaceflair.html">flair</a></div><div class="ttdoc">namespace of the flair Framework </div><div class="ttdef"><b>Definition:</b> Ahrs.h:19</div></div>
<div class="ttc" id="classflair_1_1core_1_1_euler_html"><div class="ttname"><a href="classflair_1_1core_1_1_euler.html">flair::core::Euler</a></div><div class="ttdoc">Class defining euler angles. </div><div class="ttdef"><b>Definition:</b> Euler.h:27</div></div>
<div class="ttc" id="classflair_1_1core_1_1_rotation_matrix_html"><div class="ttname"><a href="classflair_1_1core_1_1_rotation_matrix.html">flair::core::RotationMatrix</a></div><div class="ttdoc">Class defining a rotation matrix. </div><div class="ttdef"><b>Definition:</b> RotationMatrix.h:26</div></div>
<div class="ttc" id="classflair_1_1core_1_1_rotation_matrix_html_a1654c70915d03eea7c712a04296b9583"><div class="ttname"><a href="classflair_1_1core_1_1_rotation_matrix.html#a1654c70915d03eea7c712a04296b9583">flair::core::RotationMatrix::RotationMatrix</a></div><div class="ttdeci">RotationMatrix()</div><div class="ttdoc">Constructor. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_rotation_matrix_html_a4c46e6c1cdd66818eaa131822e5bcbb3"><div class="ttname"><a href="classflair_1_1core_1_1_rotation_matrix.html#a4c46e6c1cdd66818eaa131822e5bcbb3">flair::core::RotationMatrix::~RotationMatrix</a></div><div class="ttdeci">~RotationMatrix()</div><div class="ttdoc">Destructor. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_rotation_matrix_html_afaf6104cf10df2980dedcdffe30112ec"><div class="ttname"><a href="classflair_1_1core_1_1_rotation_matrix.html#afaf6104cf10df2980dedcdffe30112ec">flair::core::RotationMatrix::ToQuaternion</a></div><div class="ttdeci">Quaternion ToQuaternion(void) const </div><div class="ttdoc">Convert to quaternion. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_rotation_matrix_html_a2931667bed155085f243743811f60536"><div class="ttname"><a href="classflair_1_1core_1_1_rotation_matrix.html#a2931667bed155085f243743811f60536">flair::core::RotationMatrix::m</a></div><div class="ttdeci">float m[3][3]</div><div class="ttdoc">matrix </div><div class="ttdef"><b>Definition:</b> RotationMatrix.h:74</div></div>
<div class="ttc" id="classflair_1_1core_1_1_quaternion_html"><div class="ttname"><a href="classflair_1_1core_1_1_quaternion.html">flair::core::Quaternion</a></div><div class="ttdoc">Class defining a quaternion. </div><div class="ttdef"><b>Definition:</b> Quaternion.h:26</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_33c2ee9b1665499374b4225c427cf176.html">igep</a></li><li class="navelem"><a class="el" href="dir_f1fe274389177bd7e17de7949c4ffada.html">flair-src</a></li><li class="navelem"><a class="el" href="dir_3ef62148cf94871b4b6ee5d6e3a989c1.html">lib</a></li><li class="navelem"><a class="el" href="dir_97265977dbbd48c696782ccac102bad5.html">FlairCore</a></li><li class="navelem"><a class="el" href="dir_6c198461db290ac9abcdd44184573216.html">src</a></li><li class="navelem"><a class="el" href="_rotation_matrix_8h.html">RotationMatrix.h</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
